%define name	ami
%define ver	1.0.11
%define rel	2mdk

Summary: Korean IMS Ami
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
#Author: cdhwang@sr.hei.co.kr
Group: System/Internationalization
Source: http://www.kr.FreeBSD.org/~hwang/ami/ami-%{ver}.tar.bz2
Source1: http://www.kr.FreeBSD.org/~hwang/ami/hanja.dic.bz2
URL: http://www.kr.freebsd.org/~hwang/ami/
#Provides: XIM
Requires: locales-ko
BuildRequires: gdk-pixbuf-devel gnome-core-devel
BuildRoot: %_tmppath/%{name}-root

%description
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
Gnome applet mode binary is available from the separate packages

%description -l ko
아미는 gtk+ 기반의 한글 입력기로, GNOME 애플릿 모드와 Windowmaker dock 모드를 
지원합니다.  GNOME 애플릿 모드 바이너리는 별도의 패키지로 배포됩니다.
(ami-gnome)

%package gnome
Summary: Korean IMS AMI, GNOME Applet mode
Group: System/Internationalization
Requires: locales-ko

%description gnome
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
this package contains gnome applet mode binary of AMI

%description -l ko gnome
아미는 gtk+ 기반의 한글 입력기로, GNOME 애플릿 모드와 Windowmaker dock 모드를 
지원합니다. 이 패키지는 아미의 GNOME 애플릿 모드 바이너리를 담고 있습니다.


%prep
%setup -q -n ami-%{ver}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-hangul-keyboard=2 \
	--enable-gnome-applet --sysconfdir=/etc
make
cp src/ami src/ami_applet
make clean

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-hangul-keyboard=2
make
cd hanjadic
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/ami
mkdir -p $RPM_BUILD_ROOT/usr/share/applets/Utility
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Utilities
mkdir -p $RPM_BUILD_ROOT/etc/CORBA/servers

install -s -m 755 src/ami_applet $RPM_BUILD_ROOT/usr/bin
install -s -m 755 hanjadic/hanja-hwp2ami $RPM_BUILD_ROOT/usr/bin
install -s -m 755 src/ami $RPM_BUILD_ROOT/usr/bin
(cd $RPM_BUILD_ROOT/usr/bin; ln -sf ami wmami)
install -m 644 gtkrc $RPM_BUILD_ROOT/usr/share/ami
install -m 644 ami.kdelnk $RPM_BUILD_ROOT/usr/share/applnk/Utilities
install -m 644 ami.desktop $RPM_BUILD_ROOT/usr/share/applets/Utility
install -m 644 ami.gnorba $RPM_BUILD_ROOT/etc/CORBA/servers
chmod 644 pix/*/*
chmod a+X pix/*
cp -var pix $RPM_BUILD_ROOT/usr/share/ami/
bzcat %SOURCE1 > $RPM_BUILD_ROOT/usr/share/ami/hanja.dic


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README* COPYING ChangeLog AUTHORS THANKS 
/usr/bin/ami
/usr/bin/wmami
/usr/bin/hanja-hwp2ami
/usr/share/ami
/usr/share/applnk/Utilities/ami.kdelnk

%files gnome
%defattr(-,root,root)
/usr/bin/ami_applet
/usr/share/applets/Utility/*.desktop
/etc/CORBA/servers/*

%changelog
* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.11-2mdk
- BuildRequires: gdk-pixbuf-devel
- Removed redundant BuildRequires
- Replaced reference to "rpm source dir"

* Wed Aug 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.11-1mdk
- updated to 1.0.11

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-2mdk
- Use %%_tmppath for BuildRoot

* Tue Mar 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.9-1mdk
- updated to 1.0.9
- converted descriptions to UTF-8
- added hanja.dic to rpm package

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.4-3mdk
- automatically added BuildRequires

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.4-2mdk
- add BuildRequires: gnome-core-devel

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.4
- new Groups: naming
- made it requires locales-ko

* Fri Dec 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.1

* Mon Aug  2 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- sync with new version
- remove obsolete patches
- install hanja-hwp2ami

* Mon Aug  2 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- fix RPM group.
- add some patch(default keyboard is 2 bulsik, README mis-spell).
- use --prefix=/usr option and remove gnome option for KDE users.
- move applet mode binary to individual package(ami-applet) for gnome users.
  split another package for data(hanja.dic)?
- added some entries on SPEC for korean users.

* Mon Aug  2 1999 HyunChul Kim, <mindgame@postech.ac.kr>
- initial package
